/*
Created by: X
http://www.createdbyx.com/

xMessages is licenced under the Creative Commons Attribution-NonCommercial-ShareAlike 2.5 Canada
http://creativecommons.org/licenses/by-nc-sa/2.5/ca/
*/ 
using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;


namespace xMessages.Animation
{
    public class SpriteFrame
    {
        private Texture2D texture;
        private Rectangle sourceRect;
        private Color color = Color.White;


        public Color Color
        {
            get { return color; }
            set { color = value; }
        }
	
        public Rectangle SourceRectangle
        {
            get { return sourceRect; }
            set { sourceRect = value; }
        }           

        public Texture2D Texture
        {
            get { return texture; }
            set { texture = value; }
        }

        public SpriteFrame()
        {
        }
        
        public SpriteFrame(Texture2D tex, Rectangle srcrect)
        {
            this.texture = tex;
            this.sourceRect = srcrect;
        }
    
        public SpriteFrame(Texture2D tex, Rectangle srcrect, Color col)
        {
            this.texture = tex;
            this.sourceRect = srcrect;
            this.color = col;
        }
    }
}
